//here permissions for players are defined

//grantperm [cn]
//used by server. returns player's permission. if not defined, server uses standard logic: 1 - all players, 2 - master, 3 - admin
grantperm = [

	//default 
	res = 0

	name = (getname $arg1)
	ip = (getip $arg1)

	if (checkipbymask $ip "127.0.0.1") [ res = 4] //grant admin permissions for player connected from localhost
	if (checkipbymask $ip "192.168.56.*") [ res = 4 ] //or from /24 network
	if (checkipbymask $ip "176.179.221.162") [ res = 4]
	//if (checkipbymask $ip "79.110.128.93") [ res = 4 ] //or from specified IP. 

	result $res
]

//used by server. returns irc user's permission. if not defined, server uses standard logic
// irc_grantperm = [
//	echo (format "$arg1='%1' $arg2='%2' $arg3='%3'" $arg1 $arg2 $arg3)
//	result 2
//]
